package com.prolog.cs.biz.outbound.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class WavesGroupItemQueryDTO {

    @ApiModelProperty(value = "当前页码")
    private Integer pageSize;

    @ApiModelProperty(value = "每页数量")
    private Integer pageNum;

    @ApiModelProperty(value = "波次分组ID分组订单ID")
    private String wavesGroupBillId;

    @ApiModelProperty(value = "波次ID",required = true)
    private String wavesId;

    @ApiModelProperty(value = "商品id")
    private String itemId;

    @ApiModelProperty(value = "商品编码")
    private String itemCode;

    @ApiModelProperty(value = "商品名称")
    private String itemName;

    @ApiModelProperty(value = "批号")
    private String manufacturerLotNum;

    @ApiModelProperty(value = "批次号")
    private String batchNum;

    @ApiModelProperty(value = "状态")
    private String status;

    public String getWavesId() {
        return wavesId;
    }

    public void setWavesId(String wavesId) {
        this.wavesId = wavesId;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public String getWavesGroupBillId() {
        return wavesGroupBillId;
    }

    public void setWavesGroupBillId(String wavesGroupBillId) {
        this.wavesGroupBillId = wavesGroupBillId;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getManufacturerLotNum() {
        return manufacturerLotNum;
    }

    public void setManufacturerLotNum(String manufacturerLotNum) {
        this.manufacturerLotNum = manufacturerLotNum;
    }

    public String getBatchNum() {
        return batchNum;
    }

    public void setBatchNum(String batchNum) {
        this.batchNum = batchNum;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
